## vdr-plugin-osdteletext 0.3.2+1

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile,v 1.1 2004/10/06 20:30:40 chelli-guest Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = osdteletext

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -O2 -g -Wall -Woverloaded-virtual
# for debugging:
#CXXFLAGS ?= -O0 -g -Wall -Woverloaded-virtual

### The directory environment:

DVBDIR = ../../../../DVB
VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR (taken from VDR's "config.h"):

VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -D_GNU_SOURCE

### The object files (add further files here):

OBJS = $(PLUGIN).o menu.o txtbitmap.o txtfont.o display.o i18n.o txtrecv.o

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libvdr-$(PLUGIN).so
	@install -d ../../man
	@install README ../../man/$(PLUGIN).man

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

## vdr-plugin-osdteletext 0.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile,v 1.1 2004/10/06 20:30:40 chelli-guest Exp $
+# $Id$
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -15,8 +15,6 @@
 
 ### The C++ compiler and options:
 
-CXX      ?= g++
-CXXFLAGS ?= -O2 -g -Wall -Woverloaded-virtual
 # for debugging:
 #CXXFLAGS ?= -O0 -g -Wall -Woverloaded-virtual
 
@@ -48,9 +46,11 @@
 
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o menu.o txtbitmap.o txtfont.o display.o i18n.o txtrecv.o
+OBJS = $(PLUGIN).o menu.o txtfont.o i18n.o txtrecv.o txtrender.o displaybase.o display.o
 
 ### Implicit rules:
+
+all-redirect: all
 
 %.o: %.c
 	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

## vdr-plugin-osdteletext 0.5.1

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 
 ### The C++ compiler and options:
 
-# for debugging:
-#CXXFLAGS ?= -O0 -g -Wall -Woverloaded-virtual
+OPTLEVEL ?= 2
+CXXFLAGS = -O$(OPTLEVEL) -g -Wall -Woverloaded-virtual -fPIC -DPIC
 
 ### The directory environment:

## vdr-plugin-osdteletext 0.8.3

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,6 @@
 
 ### The directory environment:
 
-DVBDIR = ../../../../DVB
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
@@ -31,7 +30,7 @@
 
 ### The version number of VDR (taken from VDR's "config.h"):
 
-VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
+APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
 
 ### The name of the distribution archive:
 
@@ -40,13 +39,13 @@
 
 ### Includes and Defines (add further entries here):
 
-INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include
+INCLUDES += -I$(VDRDIR)/include
 
 DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -D_GNU_SOURCE
 
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o menu.o txtfont.o i18n.o txtrecv.o txtrender.o displaybase.o display.o
+OBJS = $(PLUGIN).o menu.o txtfont.o txtrecv.o txtrender.o displaybase.o display.o
 
 ### Implicit rules:
 
@@ -64,23 +63,51 @@
 
 -include $(DEPFILE)
 
+### Internationalization (I18N):
+
+PODIR     = po
+LOCALEDIR = $(VDRDIR)/locale
+I18Npo    = $(wildcard $(PODIR)/*.po)
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
+I18Npot   = $(PODIR)/$(PLUGIN).pot
+
+%.mo: %.po
+	msgfmt -c -o $@ $<
+
+$(I18Npot): $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<nobody@nowhere.org>' -o $@ $^
+
+%.po: $(I18Npot)
+	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	@touch $@
+
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+.PHONY: i18n
+i18n: $(I18Nmsgs)
+
 ### Targets:
 
-all: libvdr-$(PLUGIN).so
-	@install -d ../../man
-	@install README ../../man/$(PLUGIN).man
+all: libvdr-$(PLUGIN).so i18n
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
-	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
+	@tar czf $(PACKAGE).tgz -C $(TMPDIR) --exclude .gitignore --exclude debian $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@echo Distribution package created as $(PACKAGE).tgz
 
 clean:
+	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
+
+install:
+	@install -d ../../man
+	@install README ../../man/$(PLUGIN).man

## vdr-plugin-osdteletext 0.9.0

=== Makefile ===
--- 
+++ 
@@ -16,13 +16,17 @@
 ### The C++ compiler and options:
 
 OPTLEVEL ?= 2
-CXXFLAGS = -O$(OPTLEVEL) -g -Wall -Woverloaded-virtual -fPIC -DPIC
+CXXFLAGS = -O$(OPTLEVEL) -g -Wall -Werror -Woverloaded-virtual -fPIC -DPIC
 
 ### The directory environment:
 
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
+
+### Make sure that necessary options are included (VDR >= 1.7.13):
+
+-include $(VDRDIR)/Make.global
 
 ### Allow user defined options to overwrite defaults:
 
@@ -75,7 +79,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<nobody@nowhere.org>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address=http://projects.vdr-developer.org/projects/plg-osdteletext -o $@ $^
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<

## vdr-plugin-osdteletext 0.9.1

=== Makefile ===
--- 
+++ 
@@ -97,10 +97,10 @@
 all: libvdr-$(PLUGIN).so i18n
 
 libvdr-$(PLUGIN).so: $(OBJS)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
-dist: clean
+dist: $(I18Npo) clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)

## vdr-plugin-osdteletext 0.9.4

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = osdteletext

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o menu.o txtfont.o txtrecv.o txtrender.o displaybase.o display.o storage.o legacystorage.o packedstorage.o rootdir.o

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) --exclude debian --exclude CVS --exclude .svn $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr-plugin-osdteletext (0.9.4-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:14 +0200

vdr-plugin-osdteletext (0.9.4-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:19 +0100

vdr-plugin-osdteletext (0.9.4-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:50:27 +0100

vdr-plugin-osdteletext (0.9.4-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:22:58 +0100

vdr-plugin-osdteletext (0.9.3-3) unstable; urgency=low

  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 22:51:28 +0100

vdr-plugin-osdteletext (0.9.3-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:14:15 +0200

vdr-plugin-osdteletext (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 22:59:35 +0200

vdr-plugin-osdteletext (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 13:21:42 +0200

vdr-plugin-osdteletext (0.9.1-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:24 +0100

vdr-plugin-osdteletext (0.9.1-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:39 +0100

vdr-plugin-osdteletext (0.9.1-3) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:59 +0200

vdr-plugin-osdteletext (0.9.1-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:53 +0200

vdr-plugin-osdteletext (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 16:58:49 +0200

vdr-plugin-osdteletext (0.9.0-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:31 +0200

vdr-plugin-osdteletext (0.9.0-3) unstable; urgency=low

  * Suppress calling the install target when building

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Apr 2011 16:44:54 +0200

vdr-plugin-osdteletext (0.9.0-2) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Wed, 06 Apr 2011 23:55:52 +0200

vdr-plugin-osdteletext (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch
  * Standards-Version: 3.9.1

 -- Tobias Grimm <etobi@debian.org>  Mon, 08 Nov 2010 20:32:56 +0100

vdr-plugin-osdteletext (0.8.3-3) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Bumped standards version to 3.8.4
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 15:00:24 +0200

vdr-plugin-osdteletext (0.8.3-2) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552652)
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 00:00:25 +0100

vdr-plugin-osdteletext (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Tue, 02 Jun 2009 22:42:09 +0200

vdr-plugin-osdteletext (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Changed upstream hompage

 -- Tobias Grimm <etobi@debian.org>  Tue, 26 May 2009 09:16:25 +0200

vdr-plugin-osdteletext (0.8.1-2) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:11:00 +0200

vdr-plugin-osdteletext (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright and debian/watch to new upstream location
  * Dropped 01_Makefile.dpatch, 02_tmp-path-fix.dpatch, 90_APIVERSION.dpatch,
    91_osdteletext-1.5.0.dpatch, 92_channelswitch-fix.dpatch,
    93_i18n-gettext.dpatch (all fixed upstream)
  * Dropped -r option from plugin.osdteletext.conf

 -- Tobias Grimm <etobi@debian.org>  Sat, 24 Jan 2009 21:35:24 +0100

vdr-plugin-osdteletext (0.5.1-38) unstable; urgency=low

  * Updated 91_osdteletext-1.5.0.dpatch to set a name for the osdteletext
    receiver thread
  * Adeed 92_channelswitch-fix.dpatch
  * Added 93_i18n-gettext.dpatch

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 26 Jul 2008 17:43:52 +0200

vdr-plugin-osdteletext (0.5.1-37) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 18:06:10 +0200

vdr-plugin-osdteletext (0.5.1-36) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:47:23 +0200

vdr-plugin-osdteletext (0.5.1-35) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 13:04:53 +0200

vdr-plugin-osdteletext (0.5.1-34) experimental; urgency=low

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0)
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3

  [ Tobias Grimm ]
  * Using COMPAT=5 now

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 04 Apr 2008 13:26:36 +0200



=== debian/control ===
Source: vdr-plugin-osdteletext
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), gettext, pkg-config
Standards-Version: 3.9.3
Homepage: http://projects.vdr-developer.org/projects/show/plg-osdteletext
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-osdteletext.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-osdteletext.git

Package: vdr-plugin-osdteletext
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: Teletext plugin for VDR
 This plugin for VDR displays teletext directly on the OSD.

=== debian/watch ===
version=2
http://projects.vdr-developer.org/projects/plg-osdteletext/files .*/vdr-osdteletext-(.*)\.tgz

## vdr-plugin-osdteletext 0.9.5

=== debian/changelog ===
vdr-plugin-osdteletext (0.9.5-3) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:05:04 +0100

vdr-plugin-osdteletext (0.9.5-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:51 +0100

vdr-plugin-osdteletext (0.9.5-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on vdr-dev (>= 2.1.10)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Fri, 13 Feb 2015 18:48:00 +0100

vdr-plugin-osdteletext (0.9.4-5) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:20:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), gettext, pkg-config
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), gettext, pkg-config
+Standards-Version: 3.9.6
 Homepage: http://projects.vdr-developer.org/projects/show/plg-osdteletext
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-osdteletext.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-osdteletext.git

## vdr-plugin-osdteletext 0.9.7

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ### The directory environment:
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
-PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
+PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
 LIBDIR = $(call PKGCFG,libdir)
 LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)

=== debian/changelog ===
vdr-plugin-osdteletext (0.9.7-4) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:34:03 +0100

vdr-plugin-osdteletext (0.9.7-3) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jul 2019 05:34:54 +0200

vdr-plugin-osdteletext (0.9.7-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:37:14 +0200

vdr-plugin-osdteletext (0.9.7-1) unstable; urgency=medium

  * New upstream release
  * Don't recursively chown /var/cache/vdr/vtx to prevent hardlink attacks
  * VCS moved to salsa.debian.org

 -- Tobias Grimm <etobi@debian.org>  Sat, 24 Feb 2018 20:34:12 +0100

vdr-plugin-osdteletext (0.9.6-1) unstable; urgency=medium

  * New upstream release (Closes: #872490(
  * Standards-Version: 4.1.2
  * Replaced priority extra with optional

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Jan 2018 23:19:23 +0100

=== debian/control ===
Source: vdr-plugin-osdteletext
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), gettext, pkg-config
Standards-Version: 4.4.1
Homepage: http://projects.vdr-developer.org/projects/show/plg-osdteletext
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-osdteletext.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-osdteletext

Package: vdr-plugin-osdteletext
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: Teletext plugin for VDR
 This plugin for VDR displays teletext directly on the OSD.

## vdr-plugin-osdteletext 2.3.1

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,12 @@
 ### The version number of this plugin (taken from the main source file):
 
 VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')
+
+### switch compiler
+ifeq ($(CLANG), 1)
+    CC="clang"
+    CXX="clang++"
+endif
 
 ### The directory environment:
 
@@ -26,6 +32,28 @@
 
 export CFLAGS   = $(call PKGCFG,cflags)
 export CXXFLAGS = $(call PKGCFG,cxxflags)
+
+ifeq ($(CLANG), 1)
+    $(info ORG CFLAGS=$(CFLAGS))
+    $(info ORG CXXFLAGS=$(CXXFLAGS))
+    # remove not supported options (at least Fedora 33)
+    CFLAGS_PKGCFG   = $(call PKGCFG,cflags)
+    CXXFLAGS_PKGCFG = $(call PKGCFG,cxxflags)
+    CFLAGS_1 = $(subst -ffat-lto-objects,,$(CFLAGS_PKGCFG))
+    CXXFLAGS_1 = $(subst -ffat-lto-objects,,$(CXXFLAGS_PKGCFG))
+    CFLAGS_2 = $(subst -flto=auto,,$(CFLAGS_1))
+    CXXFLAGS_2 = $(subst -flto=auto,,$(CXXFLAGS_1))
+    CFLAGS_3 = $(subst -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1,,$(CFLAGS_2))
+    CXXFLAGS_3 = $(subst -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1,,$(CXXFLAGS_2))
+    CFLAGS_4 = $(subst -specs=/usr/lib/rpm/redhat/redhat-hardened-ld,,$(CFLAGS_3))
+    CXXFLAGS_4 = $(subst -specs=/usr/lib/rpm/redhat/redhat-hardened-ld,,$(CXXFLAGS_3))
+    CFLAGS_5 = $(subst -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1,,$(CFLAGS_4))
+    CXXFLAGS_5 = $(subst -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1,,$(CXXFLAGS_4))
+    export CFLAGS   = $(CFLAGS_5)
+    export CXXFLAGS = $(CXXFLAGS_5)
+    $(info MOD CFLAGS=$(CFLAGS))
+    $(info MOD CXXFLAGS=$(CXXFLAGS))
+endif
 
 ### The version number of VDR's plugin API:
 
@@ -52,7 +80,7 @@
 
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o menu.o txtfont.o txtrecv.o txtrender.o displaybase.o display.o storage.o legacystorage.o packedstorage.o rootdir.o
+OBJS = $(PLUGIN).o menu.o txtfont.o txtrecv.o txtrender.o displaybase.o display.o storage.o legacystorage.o packedstorage.o rootdir.o setup.o
 
 ### The main target:
 
@@ -83,7 +111,7 @@
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
-$(I18Npot): $(wildcard *.c)
+$(I18Npot): $(wildcard *.c) $(wildcard *.h)
 	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`
 
 %.po: $(I18Npot)

=== debian/changelog ===
vdr-plugin-osdteletext (2.3.1-2) unstable; urgency=medium

  * rebuild against vdr 2.6.9
  * add myself to uploaders
  * change build-depends from obsolete pkg-config to pkgconf
  * update standards-version to 4.7.0

 -- Christoph Martin <chrism@debian.org>  Thu, 20 Feb 2025 15:08:50 +0100

vdr-plugin-osdteletext (2.3.1-1) unstable; urgency=medium

  * Fix debian/watch
  * Fix typo in font installation path
  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders
  * New upstream version 2.3.1

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 21:01:38 +0100

vdr-plugin-osdteletext (2.3.0-1) unstable; urgency=medium

  * Upstream development moved to GitHub
  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * New upstream version 2.3.0

 -- Tobias Grimm <etobi@debian.org>  Sun, 12 Dec 2021 23:37:37 +0100

=== debian/control ===
Source: vdr-plugin-osdteletext
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>,
 Christoph Martin <chrism@debian.org>
Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), gettext, pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/vdr-projects/vdr-plugin-osdteletext
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-osdteletext.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-osdteletext

Package: vdr-plugin-osdteletext
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: Teletext plugin for VDR
 This plugin for VDR displays teletext directly on the OSD.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vdr-plugin-osdteletext-$1\.tar\.gz/ \
  https://github.com/vdr-projects/vdr-plugin-osdteletext/tags .*/v?(\d\S+)\.tar\.gz
